## Makefile generated by imake - do not edit!
## $XConsortium: imake.c,v 1.72 92/09/14 11:44:22 rws Exp $
##
## The cpp used on this machine replaces all newlines and multiple tabs and
## spaces in a macro expansion with a single space.  Imake tries to compensate
## for this, but is not always successful.
##

## -------------------------------------------------------------------------
## Makefile generated from "Imake.tmpl" and </tmp/IIf.a003BP>
## $XConsortium: Imake.tmpl,v 1.158 92/09/03 19:54:25 rws Exp $
##
## Platform-specific parameters may be set in the appropriate <vendor>.cf
## configuration files.  Site-specific parameters should be set in the file
## site.def.  Full rebuilds are recommended if any parameters are changed.
##
## If your C preprocessor does not define any unique symbols, you will need
## to set BOOTSTRAPCFLAGS when rebuilding imake (usually when doing
## "make World" the first time).
##

## -------------------------------------------------------------------------
## site-specific configuration parameters that need to come before
## the platform-specific parameters - edit site.def to change

## site:  $XConsortium: site.def,v 1.2 91/07/30 20:26:44 rws Exp $

## -------------------------------------------------------------------------
## platform-specific configuration parameters - edit sun.cf to change

##
## platform:  $XConsortium: sun.cf,v 1.77 92/05/29 18:37:21 rws Exp $

## operating system:  SunOS 5.0

.INIT: Makefile
REVCTLARCHFILE = SCCS/s.Imakefile
REVCTLCMD = sccs get

## $XConsortium: sv4Lib.rules,v 1.8 91/07/19 15:38:53 rws Exp $

## -------------------------------------------------------------------------
## site-specific configuration parameters that go after
## the platform-specific parameters - edit site.def to change

## site:  $XConsortium: site.def,v 1.2 91/07/30 20:26:44 rws Exp $

            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

               AR = ar cq
  BOOTSTRAPCFLAGS =
               CC = cc
               AS = as

         COMPRESS = compress
              CPP = /usr/ccs/lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = install
               LD = ld
              LEX = lex
             YACC = yacc
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -ax
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

               RM = rm -f
            TROFF = troff -Tpost -t
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn
     STD_INCLUDES =
  STD_CPP_DEFINES = -DSVR4 -DSYSV
      STD_DEFINES = -DSVR4 -DSYSV
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS = -R$(LD_RUN_PATH):/usr/openwin/lib
  EXTRA_LIBRARIES = -lsocket -lnsl
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4755

      PROJECTROOT = $(OPENWINHOME)
      DESTDIR =

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O -xF
        CCOPTIONS = -DSYSV -DSVR4

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
	  CCFLAGS = $(CDEBUGFLAGS) $(CCCOPTIONS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)

           LDLIBS = $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS) $(EXTRA_LDOPTIONS) $(LOCAL_LDFLAGS) -L$(USRLIBDIR)

   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = sun.cf
           RM_CMD = $(RM) mapfile *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut *.O

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Imake.rules \
			$(IRULESRC)/Project.tmpl $(IRULESRC)/site.def \
			$(IRULESRC)/$(MACROFILE)  \
			$(EXTRA_ICONFIGFILES)

## -------------------------------------------------------------------------
## X Window System Build Parameters
## $XConsortium: Project.tmpl,v 1.152 92/08/10 17:47:45 eswu Exp $

## -------------------------------------------------------------------------
## X Window System make variables; this need to be coordinated with rules

          PATHSEP = /
        USRLIBDIR = $(OPENWINHOME)/lib
         SHLIBDIR = $(OPENWINHOME)/lib
           BINDIR = $(OPENWINHOME)/bin
          DEMODIR = $(OPENWINHOME)/demo
          INCROOT = $(OPENWINHOME)/include
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
        CONFIGDIR = /usr/openwin/lib/config
       LINTLIBDIR = $(USRLIBDIR)/lint

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
          MANPATH = $(OPENWINHOME)/man
    MANSOURCEPATH = $(MANPATH)/man
        MANSUFFIX = n
     LIBMANSUFFIX = 3
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSUFFIX)
           NLSDIR = $(LIBDIR)/nls
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

            IMAKE = imake
           DEPEND = makedepend
              RGB = rgb

            FONTC = bdftopcf

        MKFONTDIR = mkfontdir
        MKDIRHIER = /bin/sh $(BINDIR)/mkdirhier

        CONFIGSRC = $(TOP)/config
       DOCUTILSRC = $(TOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/../../../lib/libfont
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/server
          DDXSRC  = $(SERVERSRC)/ddx
          UTILSRC = $(TOP)/util
        SCRIPTSRC = $(UTILSRC)/scripts
       EXAMPLESRC = $(TOP)/examples
       CONTRIBSRC = $(TOP)/../contrib
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/rgb
        DEPENDSRC = $(UTILSRC)/makedepend
         IMAKESRC = $(CONFIGSRC)
         XAUTHSRC = $(LIBSRC)/Xau
          XLIBSRC = $(LIBSRC)/X
           XMUSRC = $(LIBSRC)/Xmu
       TOOLKITSRC = $(LIBSRC)/Xt
       AWIDGETSRC = $(LIBSRC)/Xaw
       OLDXLIBSRC = $(LIBSRC)/oldX
      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

      BDFTOPCFSRC = $(FONTSRC)/clients/bdftopcf

     MKFONTDIRSRC = $(FONTSRC)/clients/mkfontdir
         FSLIBSRC = $(FONTSRC)/lib/fs
    FONTSERVERSRC = $(FONTSRC)/server
     EXTENSIONSRC = $(TOP)/extensions
         XILIBSRC = $(TOP)/../../../lib/libXinput
      XTESTLIBSRC = $(EXTENSIONSRC)/lib/xtest
        PEXLIBSRC = $(EXTENSIONSRC)/lib/PEXlib
      PHIGSLIBSRC = $(EXTENSIONSRC)/lib/PEX
	  DGALIBSRC = $(EXTENSIONSRC)/lib/dga

## $XConsortium: sv4Lib.tmpl,v 1.8 92/06/28 17:43:23 rws Exp $

       SERVERETC = $(OPENWINHOME)/server/etc

       SERVERLIB = $(OPENWINHOME)/server/lib

   SERVERMODULES = $(OPENWINHOME)/server/modules

SHLIBLDFLAGS = -G -z text -M mapfile
PICFLAGS = -K PIC
MAPFILE = mapfile

  DEPEXTENSIONLIB =
     EXTENSIONLIB = -lXext

          DEPXLIB = $(DEPEXTENSIONLIB)
         XLIBONLY = -lX11
             XLIB = $(EXTENSIONLIB) $(XLIBONLY)

        DEPXMULIB =
       XMULIBONLY = -lXmu
           XMULIB = $(XMULIBONLY) -z nodefs

       DEPOLDXLIB =
          OLDXLIB = -loldX

      DEPXTOOLLIB =
         XTOOLLIB = -lXt

        DEPXAWLIB =
           XAWLIB = -lXaw

        DEPXILIB =
           XILIB = -lXi

        DEPXTESTLIB =
           XTESTLIB = -lXtst

        DEPPEXLIB =
         PEXLIB = -lPEX5

        DEPDGALIB =
           DGALIB = -ldga

        SOXLIBREV = 5.0
          SOXTREV = 5.0
         SOXAWREV = 5.0
        SOOLDXREV = 5.0
         SOXMUREV = 5.0
        SOXEXTREV = 5.0
      SOXINPUTREV = 5.0
       SOXTESTREV = 1.0
       SOXTRAPREV = 1.0
         SOPEXREV = 1.0
	 SODPSREV = 5
	 SODGAREV = 1

      DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
         XAUTHLIB =  -lXau
      DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
         XDMCPLIB =  -lXdmcp

        DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
           PHIGSLIB =  -lphigs

       DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
          XBSDLIB =  -lXbsd

 LINTEXTENSIONLIB = $(LINTLIBDIR)/llib-lXext.ln
         LINTXLIB = $(LINTLIBDIR)/llib-lX11.ln
          LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln
        LINTXTOOL = $(LINTLIBDIR)/llib-lXt.ln
          LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln
           LINTXI = $(LINTLIBDIR)/llib-lXi.ln
          LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln
        LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln
		LINTDGA = $(LINTLIBDIR)/llib-ldga.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

## -------------------------------------------------------------------------
## Imake rules for building libraries, programs, scripts, and data files
## rules:  $XConsortium: Imake.rules,v 1.129 92/05/29 17:01:19 rws Exp $

## -------------------------------------------------------------------------
## start of Imakefile

## Copyright 1989-94 GROUPE BULL -- See licence conditions in file COPYRIGHT
##
## XPM Imakefile - Arnaud LE HORS
##

## Local addition at IST to get HP build working

## SGI requires a specification file for shared library that we don't have

## on Dec Alpha we need to define the following to build the shared library

## # if your system doesn't provide strcasecmp add -DNEED_STRCASECMP
## # if your system doesn't provide strdup add -DNEED_STRDUP
## # if your system doesn't provide pipe remove -DZPIPE

DEFINES = -DZPIPE

##
## Normaly the following part should not need to be edited
##

## $XConsortium: Library.tmpl,v 1.14 92/06/28 17:39:33 rws Exp $

         CC = cc
  CCOPTIONS =
STD_DEFINES = -DSVR4 -DSYSV
CDEBUGFLAGS = -O -xF

       INCLUDES = -I.
   INSTALLFLAGS = $(INSTINCFLAGS)
       LINTLIBS = $(LINTXTOLL) $(LINTXLIB)

OS_NAME_DEFINES =

## get the version numbers from the xpm include file

SOXPMLIBREV = 4.1

HEADERS = xpm.h
  SRCS = data.c create.c misc.c rgb.c scan.c parse.c hashtable.c \
	 XpmCrBufFrI.c XpmCrDataFrP.c XpmCrPFrBuf.c XpmRdFToI.c XpmWrFFrI.c \
	 XpmCrBufFrP.c XpmCrIFrBuf.c XpmCrPFrData.c XpmRdFToP.c XpmWrFFrP.c \
	 XpmCrDataFrI.c XpmCrIFrData.c XpmRdFToData.c XpmWrFFrData.c

  OBJS = data.o create.o misc.o rgb.o scan.o parse.o hashtable.o \
	 XpmCrBufFrI.o XpmCrDataFrP.o XpmCrPFrBuf.o XpmRdFToI.o XpmWrFFrI.o \
	 XpmCrBufFrP.o XpmCrIFrBuf.o XpmCrPFrData.o XpmRdFToP.o XpmWrFFrP.o \
	 XpmCrDataFrI.o XpmCrIFrData.o XpmRdFToData.o XpmWrFFrData.o

all::
	$(_NULLCMD_)
	$(_NULLCMD_)
	$(_NULLCMD_)

includes::
	$(_NULLCMD_)
	$(_NULLCMD_)
	$(_NULLCMD_)

.c.o:
	$(_NULLCMD_)
	$(_NULLCMD_)
	$(_NULLCMD_)
	$(CC) -c $(CFLAGS) $(_NOOP_) $(SHLIBDEF) $(SHAREDCODEDEF) $(PICFLAGS) $*.c

clean::
	$(_NULLCMD_)
	$(_NULLCMD_)
	$(_NULLCMD_)

all:: libXpm.so.$(SOXPMLIBREV)

libXpm.so.$(SOXPMLIBREV): $(OBJS) $(MAPFILE)
	$(RM) $@~
	(cd .; $(LD) -o ./$@~ $(SHLIBLDFLAGS) -h $@ $(OBJS) $(REQUIREDLIBS))
	$(RM) $@
	$(MV) $@~ $@
	$(RM) libXpm.so
	$(LN) $@ libXpm.so

$(MAPFILE)::
	-@sccs get $(MAPFILE) 2> /dev/null
	-@if [ ! -f $(MAPFILE) ] ; then touch $(MAPFILE); fi;
	-@$(MV) $(MAPFILE) . 2> /dev/null

clean::
	$(RM) $(MAPFILE) libXpm.so.$(SOXPMLIBREV) libXpm.so

install:: $(DESTDIR)$(USRLIBDIR)/libXpm.so.$(SOXPMLIBREV)
$(DESTDIR)$(USRLIBDIR)/libXpm.so.$(SOXPMLIBREV): libXpm.so.$(SOXPMLIBREV)
	@if [ -d $(DESTDIR)$(USRLIBDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(DESTDIR)$(USRLIBDIR)); fi
	$(INSTALL) -c $(INSTLIBFLAGS) libXpm.so.$(SOXPMLIBREV) $(DESTDIR)$(USRLIBDIR)
	$(RM) $(DESTDIR)$(USRLIBDIR)/libXpm.so
	$(LN) libXpm.so.$(SOXPMLIBREV) $(DESTDIR)$(USRLIBDIR)/libXpm.so

install:: $(HEADERS)
	@if [ -d $(DESTDIR)$(INCDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(DESTDIR)$(INCDIR)); fi
	@case '${MFLAGS}' in *[i]*) set +e;; esac; \
	for i in $(HEADERS); do \
	(set -x; $(INSTALL) -c $(INSTALLFLAGS) $$i $(DESTDIR)$(INCDIR)); \
	done

lintlib:: llib-lXpm.ln

llib-lXpm.ln: $(SRCS)
	$(RM) $@
	$(LINT) $(LINTLIBFLAG)Xpm $(LINTFLAGS) $(SRCS)

install.ln:: llib-lXpm.ln
	@if [ -d $(DESTDIR)$(LINTLIBDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(DESTDIR)$(LINTLIBDIR)); fi
	$(INSTALL) -c $(INSTLIBFLAGS) llib-lXpm.ln $(DESTDIR)$(LINTLIBDIR)

depend:: $(SRCS) $(HEADERS)
	$(DEPEND) $(DEPENDFLAGS) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)
dependlocal:: $(SRCS) $(HEADERS)
	$(DEPEND) $(DEPENDFLAGS) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)

lint:
	$(LINT) $(LINTFLAGS) $(SRCS) $(LINTLIBS)
lint1:
	$(LINT) $(LINTFLAGS) $(FILE) $(LINTLIBS)

## -------------------------------------------------------------------------
## common rules for all Makefiles - do not edit

emptyrule::

dependlocal::
includes:: $(HEADERS) $(OTHERFILES)

clean::
	$(RM_CMD) "#"*

Makefile:: Imakefile
	-@if [ -f Makefile ]; then set -x; \
	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else exit 0; fi
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)
	$(MAKE) $(MFLAGS) dependlocal

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

## -------------------------------------------------------------------------
## empty rules for directories that do not have SUBDIRS - do not edit

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

Makefiles::

includes::

## -------------------------------------------------------------------------
## dependencies generated by makedepend

